Tool: get_db_system
Get details for a Db system in a Google Cloud project in the given location.
The following sample demonstrate how to use curl to invoke the get_db_system MCP tool.
| Curl Request |
|---|
curl --location 'https://oracledatabase.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "get_db_system", "arguments": { // provide these details according to the tool's MCP specification } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
The request for DbSystem.Get.
GetDbSystemRequest
| JSON representation |
|---|
{ "name": string } |
| Fields | |
|---|---|
name |
Required. The name of the DbSystem in the following format: projects/{project}/locations/{location}/dbSystems/{db_system}. |
Output Schema
Details of the DbSystem (BaseDB) resource. https://docs.oracle.com/en-us/iaas/api/#/en/database/20160918/DbSystem/
DbSystem
| JSON representation |
|---|
{
"name": string,
"properties": {
object ( |
| Fields | |
|---|---|
name |
Identifier. The name of the DbSystem resource in the following format: projects/{project}/locations/{region}/dbSystems/{db_system} |
properties |
Optional. The properties of the DbSystem. |
gcpOracleZone |
Optional. The GCP Oracle zone where Oracle DbSystem is hosted. Example: us-east4-b-r2. If not specified, the system will pick a zone based on availability. |
labels |
Optional. The labels or tags associated with the DbSystem. An object containing a list of |
odbNetwork |
Optional. The name of the OdbNetwork associated with the DbSystem. Format: projects/{project}/locations/{location}/odbNetworks/{odb_network} It is optional but if specified, this should match the parent ODBNetwork of the OdbSubnet. |
odbSubnet |
Required. The name of the OdbSubnet associated with the DbSystem for IP allocation. Format: projects/{project}/locations/{location}/odbNetworks/{odb_network}/odbSubnets/{odb_subnet} |
entitlementId |
Output only. The ID of the subscription entitlement associated with the DbSystem |
displayName |
Required. The display name for the System db. The name does not have to be unique within your project. |
createTime |
Output only. The date and time that the DbSystem was created. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
ociUrl |
Output only. HTTPS link to OCI resources exposed to Customer via UI Interface. |
DbSystemProperties
| JSON representation |
|---|
{ "shape": string, "computeCount": integer, "initialDataStorageSizeGb": integer, "databaseEdition": enum ( |
| Fields | |
|---|---|
shape |
Required. Shape of DB System. |
computeCount |
Required. The number of CPU cores to enable for the DbSystem. |
initialDataStorageSizeGb |
Required. The initial data storage size in GB. |
databaseEdition |
Required. The database edition of the DbSystem. |
licenseModel |
Required. The license model of the DbSystem. |
sshPublicKeys[] |
Required. SSH public keys to be stored with the DbSystem. |
hostnamePrefix |
Optional. Prefix for DB System host names. |
hostname |
Output only. The hostname of the DbSystem. |
privateIp |
Optional. The private IP address of the DbSystem. |
dataCollectionOptions |
Optional. Data collection options for diagnostics. |
timeZone |
Optional. Time zone of the DbSystem. |
lifecycleState |
Output only. State of the DbSystem. |
dbHome |
Optional. Details for creating a Database Home. |
ocid |
Output only. OCID of the DbSystem. |
memorySizeGb |
Optional. The memory size in GB. |
computeModel |
Optional. The compute model of the DbSystem. |
dataStorageSizeGb |
Optional. The data storage size in GB that is currently available to DbSystems. |
recoStorageSizeGb |
Optional. The reco/redo storage size in GB. |
domain |
Optional. The host domain name of the DbSystem. |
nodeCount |
Optional. The number of nodes in the DbSystem. |
dbSystemOptions |
Optional. The options for the DbSystem. |
DataCollectionOptionsDbSystem
| JSON representation |
|---|
{ "isDiagnosticsEventsEnabled": boolean, "isIncidentLogsEnabled": boolean } |
| Fields | |
|---|---|
isDiagnosticsEventsEnabled |
Optional. Indicates whether to enable data collection for diagnostics. |
isIncidentLogsEnabled |
Optional. Indicates whether to enable incident logs and trace collection. |
TimeZone
| JSON representation |
|---|
{ "id": string, "version": string } |
| Fields | |
|---|---|
id |
IANA Time Zone Database time zone. For example "America/New_York". |
version |
Optional. IANA Time Zone Database version number. For example "2019a". |
DbHome
| JSON representation |
|---|
{
"displayName": string,
"dbVersion": string,
"database": {
object ( |
| Fields | |
|---|---|
displayName |
Optional. The display name for the Database Home. The name does not have to be unique within your project. |
dbVersion |
Required. A valid Oracle Database version. For a list of supported versions, use the ListDbVersions operation. |
database |
Required. The Database resource. |
isUnifiedAuditingEnabled |
Optional. Whether unified auditing is enabled for the Database Home. |
Database
| JSON representation |
|---|
{ "name": string, "dbName": string, "dbUniqueName": string, "adminPassword": string, "adminPasswordSecretVersion": string, "tdeWalletPassword": string, "tdeWalletPasswordSecretVersion": string, "characterSet": string, "ncharacterSet": string, "ociUrl": string, "createTime": string, "properties": { object ( |
| Fields | |
|---|---|
name |
Identifier. The name of the Database resource in the following format: projects/{project}/locations/{region}/databases/{database} |
dbName |
Optional. The database name. The name must begin with an alphabetic character and can contain a maximum of eight alphanumeric characters. Special characters are not permitted. |
dbUniqueName |
Optional. The DB_UNIQUE_NAME of the Oracle Database being backed up. |
adminPassword |
Optional. The password for the default ADMIN user. Note: Only one of |
adminPasswordSecretVersion |
Optional. The resource name of a secret version in Secret Manager which contains the database admin user's password. Format: projects/{project}/secrets/{secret}/versions/{version}. Note: Only one of |
tdeWalletPassword |
Optional. The TDE wallet password for the database. Note: Only one of |
tdeWalletPasswordSecretVersion |
Optional. The resource name of a secret version in Secret Manager which contains the TDE wallet password for the database. Format: projects/{project}/secrets/{secret}/versions/{version}. Note: Only one of |
characterSet |
Optional. The character set for the database. The default is AL32UTF8. |
ncharacterSet |
Optional. The national character set for the database. The default is AL16UTF16. |
ociUrl |
Output only. HTTPS link to OCI resources exposed to Customer via UI Interface. |
createTime |
Output only. The date and time that the Database was created. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
properties |
Optional. The properties of the Database. |
databaseId |
Optional. The database ID of the Database. |
dbHomeName |
Optional. The name of the DbHome resource associated with the Database. |
gcpOracleZone |
Output only. The GCP Oracle zone where the Database is created. |
opsInsightsStatus |
Output only. The Status of Operations Insights for this Database. |
pluggableDatabaseId |
Optional. The ID of the pluggable database associated with the Database. The ID must be unique within the project and location. |
pluggableDatabaseName |
Optional. The pluggable database associated with the Database. The name must begin with an alphabetic character and can contain a maximum of thirty alphanumeric characters. |
Timestamp
| JSON representation |
|---|
{ "seconds": string, "nanos": integer } |
| Fields | |
|---|---|
seconds |
Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z). |
nanos |
Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive. |
DatabaseProperties
| JSON representation |
|---|
{ "state": enum ( |
| Fields | |
|---|---|
state |
Output only. State of the Database. |
dbVersion |
Required. The Oracle Database version. |
dbBackupConfig |
Optional. Backup options for the Database. |
databaseManagementConfig |
Output only. The Database Management config. |
DbBackupConfig
| JSON representation |
|---|
{ "autoBackupEnabled": boolean, "backupDestinationDetails": [ { object ( |
| Fields | |
|---|---|
autoBackupEnabled |
Optional. If set to true, enables automatic backups on the database. |
backupDestinationDetails[] |
Optional. Details of the database backup destinations. |
retentionPeriodDays |
Optional. The number of days an automatic backup is retained before being automatically deleted. This value determines the earliest point in time to which a database can be restored. Min: 1, Max: 60. |
backupDeletionPolicy |
Optional. This defines when the backups will be deleted after Database termination. |
autoFullBackupDay |
Optional. The day of the week on which the full backup should be performed on the database. If no value is provided, it will default to Sunday. |
autoFullBackupWindow |
Optional. The window in which the full backup should be performed on the database. If no value is provided, the default is anytime. |
autoIncrementalBackupWindow |
Optional. The window in which the incremental backup should be performed on the database. If no value is provided, the default is anytime except the auto full backup day. |
BackupDestinationDetails
| JSON representation |
|---|
{
"type": enum ( |
| Fields | |
|---|---|
type |
Optional. The type of the database backup destination. |
DatabaseManagementConfig
| JSON representation |
|---|
{ "managementState": enum ( |
| Fields | |
|---|---|
managementState |
Output only. The status of the Database Management service. |
managementType |
Output only. The Database Management type. |
DbSystemOptions
| JSON representation |
|---|
{
"storageManagement": enum ( |
| Fields | |
|---|---|
storageManagement |
Optional. The storage option used in DB system. |
LabelsEntry
| JSON representation |
|---|
{ "key": string, "value": string } |
| Fields | |
|---|---|
key |
|
value |
|
Tool Annotations
Destructive Hint: ❌ | Idempotent Hint: ❌ | Read Only Hint: ✅ | Open World Hint: ❌